Subject: Re: Convention regarding SGMII in-band autonegotiation

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 4 Apr 2023 10:41:38 +0100

On Tue, Apr 04, 2023 at 10:13:59AM +0100, Daniel Golle wrote:
> On Tue, Apr 04, 2023 at 08:31:12AM +0200, Heiner Kallweit wrote:
> > Ideas from the patches can be re-used. Some patches itself are not ready
> > for mainline (replace magic numbers with proper constants (as far as
> > documented by Realtek), inappropriate use of phy_modify_mmd_changed,
> > read_status() being wrong place for updating interface mode).
> 
> Where is updating the interface mode supposed to happen?

I think Heiner may be confused.

The interface mode update can _only_ happen in read_status(). It's just
another parameter that the PHY changes as a result of media
negotiation, just like "speed" and "duplex" etc.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!